#ifndef __LCD_2INCH4_H
#define __LCD_2INCH4_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdint.h>

#define LCD_W   320
#define LCD_H   240

#define PIN_RST  22
#define PIN_DC   25
#define PIN_BL   24

#define LCD_SIZE   (LCD_W * LCD_H * 2)

void Lcd_Gpio_Init(void);
void Lcd_Init(void);
void Lcd_Clear(uint16_t color);
void Display(uint16_t *image);
void Draw_Point(uint16_t x, uint16_t y, uint16_t color);

void Spi_write_word(uint16_t data);
void Set_Cursor(uint16_t x, uint16_t y);
void Set_Window(uint16_t start_x, uint16_t start_y, uint16_t end_x, uint16_t end_y);

#endif
